//         Open > Close  
//      > <
/*    : 
USD/CHF, USD/CAD; 
EUR/USD, GBP/USD; 
EUR/JPY, USD/JPY. 

    1    ,     2    , 
      EUR  USD.     3       , 
      JPY.
*/
//+------------------------------------------------------------------+
//|                                                      2bufera.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 DeepSkyBlue
#property indicator_color2 Red
//---- input parameters
extern string        Pair1="EURUSD";         //  
extern string        Pair2="GBPUSD";         //  

extern string        Pair3="USDCHF";         //  
extern string        Pair4="USDCAD";         //  

extern int shift = 0;        // 
extern int    TimeFraim = PERIOD_D1;
extern int a = 20;      //      
 int       barsToProcess=500;  //    
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID,4);//   , ,       .
   SetIndexArrow(0,158);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);// ,   "" .    ,        .
   
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID,4);
   SetIndexArrow(1,158);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
   //----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted(),
       limit;
 
   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;
  
   for(int i=0;i<limit;i++)
   {
      Comment("Open > Close na 4 parach po paramonu");
      
      if(iOpen(Pair1,TimeFraim,i+shift)<iClose(Pair1,TimeFraim,i+shift) &&
         iOpen(Pair2,TimeFraim,i+shift)<iClose(Pair2,TimeFraim,i+shift) &&
         iOpen(Pair3,TimeFraim,i+shift)>iClose(Pair3,TimeFraim,i+shift) &&
         iOpen(Pair4,TimeFraim,i+shift)>iClose(Pair4,TimeFraim,i+shift))
         ExtMapBuffer1[i]=High[i]+a*Point;
         
      else
         ExtMapBuffer1[i]=0.0;  //  0.0
         
      if(iOpen(Pair1,TimeFraim,i+shift)>iClose(Pair1,TimeFraim,i+shift) &&
         iOpen(Pair2,TimeFraim,i+shift)>iClose(Pair2,TimeFraim,i+shift) &&
         iOpen(Pair3,TimeFraim,i+shift)<iClose(Pair3,TimeFraim,i+shift) &&
         iOpen(Pair4,TimeFraim,i+shift)<iClose(Pair4,TimeFraim,i+shift))
         ExtMapBuffer2[i]=Low[i]-a*Point;         
      else
         ExtMapBuffer2[i]=0.0;   //   //  0.0   
   }
   return(0);
}
//+------------------------------------------------------------------+